ig.module( 
    'game.entities.spawnShowels' 
)
.requires(
    'impact.entity' 
)

.defines(function(){

// Play this when a character spawns in a or leaves a map.
EntitySpawnShowels = ig.Entity.extend({

    animSheet: new ig.AnimationSheet( 'media/x.png', 48, 48 ),
    collides: ig.Entity.COLLIDES.NEVER,
    id: -1,

    init: function( x, y, settings ) {
        this.parent(x, y, settings);

       // this.addAnim('default', 1, [0] );

        if(!ig.editor){
        var showel = ig.game.spawnEntity(EntityShowel, this.pos.x, this.pos.y, {});
        ig.game.showels.push(showel);
        }
    },
        draw:function()
    {
        
    }
})
});